Get tasks
GET
/tasksGet list of tasks specific for a company
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TasksApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TasksApi(config);
const result = await api.getTasks({ "company": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/tasks?token=$TESTCOLLAB_TOKEN&company=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
company |
query | integer | Yes | Company ID |
project |
query | number | No | Project ID |
user |
query | number | No | User ID |
_limit |
query | integer | No | Limit the size of the returned results |
_start |
query | integer | No | Skip a specific number of entries (for pagination) |
_sort |
query | string | No | Sort according to a specific field. |
_filter |
query | string | No | Stringified filter object (the filtering guide) |
Response
Section titled “Response”200 — List of tasks
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].project |
Project Mini | Yes | — |
[].project.id |
number | Yes | — |
[].project.name |
string | Yes | — |
[].project.archived |
boolean | Yes | — |
[].project.activity |
string | No | — |
[].project.totalTimeSpentLabel |
string | No | — |
[].project.created_at |
string | Yes | — |
[].project.updated_at |
string | Yes | — |
[].user |
User Minified | Yes | — |
[].user.id |
number | Yes | — |
[].user.username |
string | No | — |
[].user.name |
string | Yes | — |
[].user.avatar |
Upload | No | — |
[].user.avatar.id |
number | Yes | — |
[].user.avatar.name |
string | Yes | — |
[].user.avatar.hash |
string | Yes | — |
[].user.avatar.ext |
string | Yes | — |
[].user.avatar.mime |
string | Yes | — |
[].user.avatar.size |
string | Yes | — |
[].user.avatar.url |
string | Yes | — |
[].user.avatar.created_by |
number | No | — |
[].user.avatar.created_at |
string | Yes | — |
[].user.avatar.updated_at |
string | Yes | — |
[].user.is_guest |
number | No | — |
[].title |
string | Yes | — |
[].completed |
boolean | No | — |
[].priority |
number | No | Priority, 0 - Low, 1- Normal, 2 - High Values: 0, 1, 2. |
[].start_date |
string | No | — |
[].end_date |
string | No | — |
[].href |
string | Yes | — |
[].created_at |
string | Yes | — |
[].updated_at |
string | Yes | — |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |